
input.dateFilter {
	width: 70px;
}

input.number, input.currency {
	text-align: right;
	width: 70px;
}

form .left{
    float: left !important;
    margin: 0;
}

form .right{
    float: right !important;
    margin: 0;
}

form .clear{
    clear: both;
}

fieldset legend {
    color: #444;
    font-size: 1.2em;
    font-weight: bold;
}

fieldset b {
    color: #444;
}

label { 
    margin: 4px 0 3px 0;
    border: 0;
    color: #444;
    font-size: 1.05em;
    line-height: 1.3em;
    font-weight: bold;
    display: block;
    position:relative;
}

label > span:first-child {
    font-weight:bold;
    position:absolute;
    left: 0px;
}

label > input, label textarea, label > select, label > span.value, label > span.field {
    margin-left: 105px;
    font-weight:normal;
    position:static;
}

label.short > input, label.short textarea, label.short > select, label.short > span.value, label.short > span.field {
    margin-left: 60px;
}

.wide label > input, .wide label textarea, .wide label select, .wide label span.value, .wide label > span.field,
label.wide > input, label.wide textarea, label.wide select, label.wide > span.value, label.wide > span.field {
    margin-left: 150px;
}

label input.multi, label textarea.multi, label select.multi, label span.multi {
    margin-left: 3px;
    font-weight:normal;
    position:static;
}

/* multiple input fields */
label.multi{
    margin-left:auto;
    display:inline-block;
}

label span.descr {
	font-weight: normal;
	margin-left: 5px;
	font-style: italic;
}

label span.next {
	margin-left: 0px !important;	
}

label .action {
	cursor: pointer;
}


label .disabled {
	opacity: 0.4;
	cursor: not-allowed;
}

label span.ui-icon {
	position: absolute;
	display:inline-block;
	top: 5px;
}

.addLine {
	display:inline-block;
}


/* simple class for having the input left and the text right (i.e. radioboxes) */
label.simple span{
    font-weight:default;
    position:static;
}

label.simple input {
    margin-left:auto;
}


input, textarea, select {
	border-color:#7C7C7C #C3C3C3 #DDDDDD;
	border-radius:3px;
	border-style:solid;
	border-width:1px;
	color:#333333;
	background-color:#fff;
	font-size:1.2em;
}

input.wide, select.wide {
	width: 200px;
}

input.checkbox, input.radio{
    display: block;
    line-height: 1.4em;
    margin: 8px 0 0 3px;
    width: 13px;
    height: 13px;
}

input.changed, select.changed, textarea.changed {
	color: #8a6d3b;
	border-color: #8a6d3b;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}
/*
input.changed:focus, select.changed:focus, textarea.changed:focus {
border-color: #66512c;
-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #c0a16b;
box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #c0a16b;
}
*/
/* invalid fields */
input.error, textarea.error, input.invalid,textarea.invalid,select.invalid {
	color: #a94442 !important;
	 border-color: #a94442;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

input.error:focus, textarea.error:focus, input.invalid:focus,textarea.invalid:focus,select.invalid:focus {
	border-color: #843534;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
}

textarea.disabled,input.grayed, input.disabled, select.disabled, select.grayed {
	background-color:#ddd;
}

/* ----- ERRORS ----- */
form li.error{
    background-color: #FFDFDF;
    margin: 3px 0 !important;
}

p.error, li.error label.desc{
	color: #a94442 !important;
}

p.error{
    font-size: 9px !important;
    margin: 1px 0;
}

fieldset {
	padding:5px;
	margin-bottom:5px;
}


fieldset ol li {
    display: list-item !important;
    margin: 0 5px 2px 3px !important;
    padding: 0 !important;
    list-style: inside decimal;
}


/* file upload */
.fileUpload .upload .spinner {display:inline-block; background: url("/images/loading.gif"); width:15px; height:15px; vertical-align:text-bottom;}
.fileUpload .upload .status,
.uploadStatus .upload .status {padding-left:5px;}
.fileUpload .upload.done .status,
.uploadStatus .upload.done .status { color:green; }
.fileUpload .upload.failed .status 
.uploadStatus .upload.failed .status { color:red; }
